
SELinux - Bug #5466

Latest passenger update broke SELinux file contexts

04/28/2014 09:24 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: General Foreman   

Target version: 1.4.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The path has changed.

type=AVC msg=audit(1398675061.586:531): avc:  denied  { execute_no_trans } for  pid=25069 comm="ht

tpd" path="/usr/lib64/ruby/site_ruby/1.8/x86_64-linux/agents/PassengerWatchdog" dev=dm-0 ino=29390

8 scontext=unconfined_u:system_r:httpd_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=file

Related issues:

Related to SELinux - Bug #5487: cant run with SELinix in enforcing after upgr... Closed 04/29/2014

Associated revisions

Revision 0e094fe2 - 04/28/2014 12:53 PM - Lukas Zapletal 

fixes #5466 - added new passenger file context path

History

#1 - 04/28/2014 09:29 AM - Lukas Zapletal

easy one https://github.com/theforeman/foreman-selinux/pull/15

#2 - 04/28/2014 12:55 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#3 - 04/28/2014 01:47 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0e094fe2163182ffed76fe515ec1f737b7c1811b.

#4 - 05/07/2014 10:12 AM - Dominic Cleal

- translation missing: en.field_release changed from 4 to 17

#5 - 05/07/2014 10:13 AM - Dominic Cleal

- Related to Bug #5487: cant run with SELinix in enforcing after upgrade to 1.5RC2 added

Powered by TCPDF (www.tcpdf.org)

05/10/2024 1/1

https://github.com/theforeman/foreman-selinux/pull/15
https://projects.theforeman.org/projects/selinux/repository/19/revisions/0e094fe2163182ffed76fe515ec1f737b7c1811b
http://www.tcpdf.org

